diff --git a/drupal7/sites/all/modules/date/date_repeat/tests/date_repeat_form.test b/drupal7/sites/all/modules/date/date_repeat/tests/date_repeat_form.test
index 22d65296..fc05c0ff 100644
--- a/drupal7/sites/all/modules/date/date_repeat/tests/date_repeat_form.test
+++ b/drupal7/sites/all/modules/date/date_repeat/tests/date_repeat_form.test
@@ -5,6 +5,9 @@
  * Test Date Repeat form.
  */
 
+/**
+ * Test Date Repeat form.
+ */
 class DateRepeatFormTestCase extends DrupalWebTestCase {
   protected $privileged_user;
 
@@ -17,21 +20,31 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
   }
 
   /**
-   * Implements setUp().
+   * {@inheritdoc}
    */
-  public function setUp() {
+  public function setUp(array $modules = array()) {
     // Load the date_repeat module.
-    parent::setUp('field', 'field_ui', 'date_api', 'date_repeat', 'date', 'date_popup', 'date_repeat_field');
+    $modules[] = 'field';
+    $modules[] = 'field_ui';
+    $modules[] = 'date_api';
+    $modules[] = 'date_repeat';
+    $modules[] = 'date';
+    $modules[] = 'date_popup';
+    $modules[] = 'date_repeat_field';
+    parent::setUp($modules);
 
     // Create and log in our privileged user.
     $this->privileged_user = $this->drupalCreateUser(array(
-      'administer content types', 'administer nodes', 'bypass node access', 'view date repeats', 'administer fields'
+      'administer content types', 'administer nodes', 'bypass node access', 'view date repeats', 'administer fields',
     ));
     $this->drupalLogin($this->privileged_user);
 
     variable_set('date_format_short', 'Y-m-d H:i');
   }
 
+  /**
+   * Test the Date Repeat form.
+   */
   public function testDateRepeatForm() {
     $edit = array();
     $edit['name'] = 'Date';
@@ -84,8 +97,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
       $form_edit = $this->dateForm($options, 'daily_1', FALSE, 'exclude_include');
       $this->verifyDateForm($form_edit);
 
-      // Weekly tests
-
+      // Weekly tests.
       $form_edit = $this->dateForm($options, 'weekly_1');
       $this->verifyDateForm($form_edit);
 
@@ -110,8 +122,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
       $form_edit = $this->dateForm($options, 'weekly_4', TRUE);
       $this->verifyDateForm($form_edit);
 
-      // Monthly tests
-
+      // Monthly tests.
       $form_edit = $this->dateForm($options, 'monthly_1');
       $this->verifyDateForm($form_edit);
 
@@ -148,8 +159,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
       $form_edit = $this->dateForm($options, 'monthly_6', TRUE);
       $this->verifyDateForm($form_edit);
 
-      // Yearly tests
-
+      // Yearly tests.
       $form_edit = $this->dateForm($options, 'yearly_1');
       $this->verifyDateForm($form_edit);
 
@@ -197,7 +207,6 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
     $edit['body[und][0][value]'] = $this->randomName(16);
     $current_year = date('Y');
 
-
     switch ($options) {
       case 'select':
         $edit['field_test[und][0][value][year]'] = $current_year;
@@ -206,59 +215,67 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
         $edit['field_test[und][0][value][hour]'] = '10';
         $edit['field_test[und][0][value][minute]'] = '30';
         break;
+
       case 'text':
         $edit['field_test[und][0][value][date]'] = format_string('!year-10-07 10:30', array('!year' => $current_year));
         break;
+
       case 'popup':
         $edit['field_test[und][0][value][date]'] = format_string('!year-10-07', array('!year' => $current_year));
         $edit['field_test[und][0][value][time]'] = '10:30';
         break;
     }
 
-    // Tests that Date repeat settings function properly
+    // Tests that Date repeat settings function properly.
     if ($test_id !== NULL) {
       $edit['field_test[und][0][show_repeat_settings]'] = TRUE;
       $count = 5;
 
       switch ($test_id) {
-        // Daily test cases
+        // Daily test cases.
         case 'daily_1':
           $edit['field_test[und][0][rrule][FREQ]'] = 'DAILY';
           $edit['field_test[und][0][rrule][daily][byday_radios]'] = 'INTERVAL';
           $edit['field_test[und][0][rrule][daily][INTERVAL_child]'] = 2;
           break;
+
         case 'daily_2':
           $edit['field_test[und][0][rrule][FREQ]'] = 'DAILY';
           $edit['field_test[und][0][rrule][daily][byday_radios]'] = 'every_weekday';
           break;
+
         case 'daily_3':
           $edit['field_test[und][0][rrule][FREQ]'] = 'DAILY';
           $edit['field_test[und][0][rrule][daily][byday_radios]'] = 'every_mo_we_fr';
           break;
+
         case 'daily_4':
           $edit['field_test[und][0][rrule][FREQ]'] = 'DAILY';
           $edit['field_test[und][0][rrule][daily][byday_radios]'] = 'every_tu_th';
           break;
 
-        // Weekly test cases
+        // Weekly test cases.
         case 'weekly_1':
           $edit['field_test[und][0][rrule][FREQ]'] = 'WEEKLY';
           $edit['field_test[und][0][rrule][weekly][BYDAY][MO]'] = TRUE;
           $edit['field_test[und][0][rrule][weekly][BYDAY][WE]'] = TRUE;
           $edit['field_test[und][0][rrule][weekly][BYDAY][TH]'] = TRUE;
           break;
+
         case 'weekly_2':
           $edit['field_test[und][0][rrule][FREQ]'] = 'WEEKLY';
           $edit['field_test[und][0][rrule][weekly][INTERVAL]'] = 1;
           $edit['field_test[und][0][rrule][weekly][BYDAY][MO]'] = TRUE;
           $edit['field_test[und][0][rrule][weekly][BYDAY][FR]'] = TRUE;
           break;
+
         case 'weekly_3':
           $edit['field_test[und][0][rrule][FREQ]'] = 'WEEKLY';
           $edit['field_test[und][0][rrule][weekly][INTERVAL]'] = 2;
           $edit['field_test[und][0][rrule][weekly][BYDAY][TU]'] = TRUE;
           $edit['field_test[und][0][rrule][weekly][BYDAY][TH]'] = TRUE;
           break;
+
         case 'weekly_4':
           $edit['field_test[und][0][rrule][FREQ]'] = 'WEEKLY';
           $edit['field_test[und][0][rrule][weekly][INTERVAL]'] = 10;
@@ -269,13 +286,14 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][weekly][BYDAY][FR]'] = TRUE;
           break;
 
-        // Monthly test cases
+        // Monthly test cases.
         case 'monthly_1':
           $edit['field_test[und][0][rrule][FREQ]'] = 'MONTHLY';
           $edit['field_test[und][0][rrule][monthly][day_month]'] = 'BYDAY_BYMONTH';
           $edit['field_test[und][0][rrule][monthly][BYDAY_BYMONTH_child][BYDAY_COUNT]'] = '+1';
           $edit['field_test[und][0][rrule][monthly][BYDAY_BYMONTH_child][BYDAY_DAY]'] = 'FR';
           break;
+
         case 'monthly_2':
           $edit['field_test[und][0][rrule][FREQ]'] = 'MONTHLY';
           $edit['field_test[und][0][rrule][monthly][day_month]'] = 'BYDAY_BYMONTH';
@@ -288,6 +306,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][monthly][BYDAY_BYMONTH_child][BYMONTH][9]'] = TRUE;
           $edit['field_test[und][0][rrule][monthly][BYDAY_BYMONTH_child][BYMONTH][11]'] = TRUE;
           break;
+
         case 'monthly_3':
           $edit['field_test[und][0][rrule][FREQ]'] = 'MONTHLY';
           $edit['field_test[und][0][rrule][monthly][day_month]'] = 'BYDAY_BYMONTH';
@@ -296,11 +315,13 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][monthly][BYDAY_BYMONTH_child][BYMONTH][6]'] = TRUE;
           $edit['field_test[und][0][rrule][monthly][BYDAY_BYMONTH_child][BYMONTH][12]'] = TRUE;
           break;
+
         case 'monthly_4':
           $edit['field_test[und][0][rrule][FREQ]'] = 'MONTHLY';
           $edit['field_test[und][0][rrule][monthly][day_month]'] = 'BYMONTHDAY_BYMONTH';
           $edit['field_test[und][0][rrule][monthly][BYMONTHDAY_BYMONTH_child][BYMONTHDAY]'] = '10';
           break;
+
         case 'monthly_5':
           $edit['field_test[und][0][rrule][FREQ]'] = 'MONTHLY';
           $edit['field_test[und][0][rrule][monthly][day_month]'] = 'BYMONTHDAY_BYMONTH';
@@ -309,6 +330,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][monthly][BYMONTHDAY_BYMONTH_child][BYMONTH][2]'] = TRUE;
           $edit['field_test[und][0][rrule][monthly][BYMONTHDAY_BYMONTH_child][BYMONTH][3]'] = TRUE;
           break;
+
         case 'monthly_6':
           $edit['field_test[und][0][rrule][FREQ]'] = 'MONTHLY';
           $edit['field_test[und][0][rrule][monthly][day_month]'] = 'BYMONTHDAY_BYMONTH';
@@ -318,13 +340,14 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][monthly][BYMONTHDAY_BYMONTH_child][BYMONTH][6]'] = TRUE;
           break;
 
-        // Yearly test cases
+        // Yearly test cases.
         case 'yearly_1':
           $edit['field_test[und][0][rrule][FREQ]'] = 'YEARLY';
           $edit['field_test[und][0][rrule][yearly][day_month]'] = 'BYDAY_BYMONTH';
           $edit['field_test[und][0][rrule][yearly][BYDAY_BYMONTH_child][BYDAY_COUNT]'] = '+1';
           $edit['field_test[und][0][rrule][yearly][BYDAY_BYMONTH_child][BYDAY_DAY]'] = 'FR';
           break;
+
         case 'yearly_2':
           $edit['field_test[und][0][rrule][FREQ]'] = 'YEARLY';
           $edit['field_test[und][0][rrule][yearly][INTERVAL]'] = 2;
@@ -338,6 +361,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][yearly][BYDAY_BYMONTH_child][BYMONTH][9]'] = TRUE;
           $edit['field_test[und][0][rrule][yearly][BYDAY_BYMONTH_child][BYMONTH][11]'] = TRUE;
           break;
+
         case 'yearly_3':
           $edit['field_test[und][0][rrule][FREQ]'] = 'YEARLY';
           $edit['field_test[und][0][rrule][yearly][INTERVAL]'] = 3;
@@ -347,11 +371,13 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][yearly][BYDAY_BYMONTH_child][BYMONTH][6]'] = TRUE;
           $edit['field_test[und][0][rrule][yearly][BYDAY_BYMONTH_child][BYMONTH][12]'] = TRUE;
           break;
+
         case 'yearly_4':
           $edit['field_test[und][0][rrule][FREQ]'] = 'YEARLY';
           $edit['field_test[und][0][rrule][yearly][day_month]'] = 'BYMONTHDAY_BYMONTH';
           $edit['field_test[und][0][rrule][yearly][BYMONTHDAY_BYMONTH_child][BYMONTHDAY]'] = '10';
           break;
+
         case 'yearly_5':
           $edit['field_test[und][0][rrule][FREQ]'] = 'YEARLY';
           $edit['field_test[und][0][rrule][yearly][INTERVAL]'] = 2;
@@ -361,6 +387,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           $edit['field_test[und][0][rrule][yearly][BYMONTHDAY_BYMONTH_child][BYMONTH][2]'] = TRUE;
           $edit['field_test[und][0][rrule][yearly][BYMONTHDAY_BYMONTH_child][BYMONTH][3]'] = TRUE;
           break;
+
         case 'yearly_6':
           $edit['field_test[und][0][rrule][FREQ]'] = 'YEARLY';
           $edit['field_test[und][0][rrule][yearly][INTERVAL]'] = 3;
@@ -372,7 +399,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
           break;
       }
 
-      // Test COUNT or UNTIL (default)
+      // Test COUNT or UNTIL (default).
       if ($is_count) {
         $edit['field_test[und][0][rrule][range_of_repeat]'] = 'COUNT';
         $edit['field_test[und][0][rrule][count_child]'] = $count;
@@ -382,12 +409,12 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
         $date = array(
           'year' => $current_year + 1,
           'month' => '10',
-          'day' => '07'
+          'day' => '07',
         );
         $edit += $this->formatDateForRRULEInputs('field_test[und][0][rrule][until_child]', $options, $date);
       }
 
-      // Test date exceptions and/or additions
+      // Test date exceptions and/or additions.
       if ($exclude_include !== NULL) {
         $exclude_include_edit = array();
         switch ($exclude_include) {
@@ -396,25 +423,27 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
             $date = array(
               'year' => $current_year,
               'month' => '10',
-              'day' => '07'
+              'day' => '07',
             );
             $exclude_include_edit += $this->formatDateForRRULEInputs('field_test[und][0][rrule][exceptions][EXDATE][0]', $options, $date);
             break;
+
           case 'include':
             $exclude_include_edit['field_test[und][0][rrule][show_additions]'] = TRUE;
             $date = array(
               'year' => $current_year + 3,
               'month' => '10',
-              'day' => '07'
+              'day' => '07',
             );
             $exclude_include_edit += $this->formatDateForRRULEInputs('field_test[und][0][rrule][additions][RDATE][0]', $options, $date);
             break;
+
           case 'exclude_include':
             $exclude_include_edit['field_test[und][0][rrule][show_exceptions]'] = TRUE;
             $date = array(
               'year' => $current_year,
               'month' => '10',
-              'day' => '07'
+              'day' => '07',
             );
             $exclude_include_edit += $this->formatDateForRRULEInputs('field_test[und][0][rrule][exceptions][EXDATE][0]', $options, $date);
 
@@ -422,7 +451,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
             $date = array(
               'year' => $current_year + 3,
               'month' => '10',
-              'day' => '07'
+              'day' => '07',
             );
             $exclude_include_edit += $this->formatDateForRRULEInputs('field_test[und][0][rrule][additions][RDATE][0]', $options, $date);
             break;
@@ -434,7 +463,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
     $this->drupalPost('node/add/date', $edit, t('Save'));
     $this->assertText($edit['body[und][0][value]'], 'Test node has been created');
 
-    // Return the settings for later use in verification
+    // Return the settings for later use in verification.
     return $edit;
   }
 
@@ -456,7 +485,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
     $edit = array();
     $edit['fields[_add_new_field][label]'] = 'Test';
     $edit['fields[_add_new_field][field_name]'] = 'test';
-    $edit['fields[_add_new_field][weight]'] = '-4';
+    $edit['fields[_add_new_field][weight]'] = '-100';
     $edit['fields[_add_new_field][type]'] = $type;
     $edit['fields[_add_new_field][widget_type]'] = $widget;
 
@@ -469,9 +498,9 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
     switch ($widget) {
       case 'select':
       case 'popup':
-      $instance_edit['instance[widget][settings][year_range][years_back]'] = '-5';
-      $instance_edit['instance[widget][settings][year_range][years_forward]'] = '+5';
-      break;
+        $instance_edit['instance[widget][settings][year_range][years_back]'] = '-5';
+        $instance_edit['instance[widget][settings][year_range][years_forward]'] = '+5';
+        break;
     }
 
     if ($display_all_day) {
@@ -510,6 +539,7 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
         $return["{$form_field_name}[datetime][month]"] = $date['month'];
         $return["{$form_field_name}[datetime][day]"] = ltrim($date['day'], '0');
         break;
+
       case 'text':
       case 'popup':
         $return["{$form_field_name}[datetime][date]"] = "{$date['year']}-{$date['month']}-{$date['day']}";
@@ -518,4 +548,5 @@ class DateRepeatFormTestCase extends DrupalWebTestCase {
 
     return $return;
   }
+
 }
diff --git a/drupal7/sites/all/modules/date/date_repeat_field/date_repeat_field.info b/drupal7/sites/all/modules/date/date_repeat_field/date_repeat_field.info
index c9aa9d67..69dc8be4 100644
--- a/drupal7/sites/all/modules/date/date_repeat_field/date_repeat_field.info
+++ b/drupal7/sites/all/modules/date/date_repeat_field/date_repeat_field.info
@@ -1,15 +1,16 @@
 name = Date Repeat Field
 description = Creates the option of Repeating date fields and manages Date fields that use the Date Repeat API.
-dependencies[] = date_api
-dependencies[] = date
-dependencies[] = date_repeat
-stylesheets[all][] = date_repeat_field.css
 package = Date/Time
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2017-04-07
-version = "7.x-2.10"
+dependencies[] = date:date_api
+dependencies[] = date:date
+dependencies[] = date:date_repeat
+
+stylesheets[all][] = date_repeat_field.css
+
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
 core = "7.x"
 project = "date"
-datestamp = "1491562090"
-
+datestamp = "1614952728"
